package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import java.util.Date;

public class EasArcArctype implements Serializable {
    private Integer id;

    /**
     * 类别名
     *
     * @mbg.generated
     */
    @Schema(description = "类别名")
    private String name;

    /**
     * 是否可以在线预览
     *
     * @mbg.generated
     */
    @Schema(description = "是否可以在线预览")
    private String isViews;

    /**
     * 模板文件地址
     *
     * @mbg.generated
     */
    @Schema(description = "模板文件地址")
    private String template;

    /**
     * 是否有备份需求, 如果有数据库备份需求,则 展示模板文件, 因为只有按照模板文件创建的档案才能获取数据存储数据库
     *
     * @mbg.generated
     */
    @Schema(description = "是否有备份需求, 如果有数据库备份需求,则 展示模板文件, 因为只有按照模板文件创建的档案才能获取数据存储数据库")
    private String backup;

    /**
     * 限制的文件后缀
     *
     * @mbg.generated
     */
    @Schema(description = "限制的文件后缀")
    private String suffix;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    @Schema(description = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    @Schema(description = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 创建用户
     *
     * @mbg.generated
     */
    @Schema(description = "创建用户")
    private Integer createUid;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getIsViews() {
        return isViews;
    }

    public void setIsViews(String isViews) {
        this.isViews = isViews == null ? null : isViews.trim();
    }

    public String getTemplate() {
        return template;
    }

    public void setTemplate(String template) {
        this.template = template == null ? null : template.trim();
    }

    public String getBackup() {
        return backup;
    }

    public void setBackup(String backup) {
        this.backup = backup == null ? null : backup.trim();
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix == null ? null : suffix.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Integer createUid) {
        this.createUid = createUid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", isViews=").append(isViews);
        sb.append(", template=").append(template);
        sb.append(", backup=").append(backup);
        sb.append(", suffix=").append(suffix);
        sb.append(", createTime=").append(createTime);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}